
set( larsim_VERSION 05.12.01 )
set( larsim_UPS_VERSION v05_12_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( larcore v1_00_00 )
    find_ups_product( art v1_09_00 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp v3_09_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )
    find_ups_product( lardata v1_00_00 )
    find_ups_product( nutools v1_00_00 )
    find_ups_product( genie v2_8_0 )
    find_ups_product( libwda v2_21_0 )
    find_ups_product( postgresql v9_1_0 )
    find_ups_product( geant4 v4_10_1 )
    find_ups_product( xerces_c v3_0_0 )
    find_ups_product( larevt v1_00_00 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
    endif()
    if( NOT LHAPDF )
      cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LOG4CPP )
      cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT XML2 )
      cet_find_library( XML2 NAMES xml2 PATHS /Users/macdev/workspace/larsoft-v05_12_01/OSX-10.10/prof/build/libxml2/v2_9_2/Darwin64bit+14-prof/lib NO_DEFAULT_PATH )
    endif()
    if( NOT CRY )
      cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEHGAL )
      cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT IFDH )
      cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
    endif()
      set( LARSIM_TRIGGERALGO_TRIGGERALGOBASE_SERVICE  $ENV{LARSIM_LIB}/liblarsim_TriggerAlgo_TriggerAlgoBase_service.dylib )
      set( LARSIM_TRIGGERALGO_TRIGGERALGOMICROBOONE_SERVICE  $ENV{LARSIM_LIB}/liblarsim_TriggerAlgo_TriggerAlgoMicroBoone_service.dylib )
      set( LARSIM_SIMULATION  $ENV{LARSIM_LIB}/liblarsim_Simulation.dylib )
      set( LARSIM_SIMULATION_DICT  $ENV{LARSIM_LIB}/liblarsim_Simulation_dict.dylib )
      set( LARSIM_SIMULATION_LARVOXELCALCULATOR_SERVICE  $ENV{LARSIM_LIB}/liblarsim_Simulation_LArVoxelCalculator_service.dylib )
      set( LARSIM_SIMULATION_LARG4PARAMETERS_SERVICE  $ENV{LARSIM_LIB}/liblarsim_Simulation_LArG4Parameters_service.dylib )
      set( LARSIM_SIMFILTERS_FILTERGENINTIME_MODULE  $ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterGenInTime_module.dylib )
      set( LARSIM_SIMFILTERS_FILTERNODIRTNEUTRINOS_MODULE  $ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterNoDirtNeutrinos_module.dylib )
      set( LARSIM_SIMFILTERS_FILTERPRIMARYPDG_MODULE  $ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterPrimaryPDG_module.dylib )
      set( LARSIM_SIMFILTERS_FILTERSIMPHOTONTIME_MODULE  $ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterSimPhotonTime_module.dylib )
      set( LARSIM_SIMFILTERS_FILTERSTOPPINGMUON_MODULE  $ENV{LARSIM_LIB}/liblarsim_SimFilters_FilterStoppingMuon_module.dylib )
      set( LARSIM_PHOTONPROPAGATION  $ENV{LARSIM_LIB}/liblarsim_PhotonPropagation.dylib )
      set( LARSIM_PHOTONPROPAGATION_PHOTONLIBRARYANALYZER_MODULE  $ENV{LARSIM_LIB}/liblarsim_PhotonPropagation_PhotonLibraryAnalyzer_module.dylib )
      set( LARSIM_PHOTONPROPAGATION_PHOTONVISIBILITYSERVICE_SERVICE  $ENV{LARSIM_LIB}/liblarsim_PhotonPropagation_PhotonVisibilityService_service.dylib )
      set( LARSIM_MCSTRECO  $ENV{LARSIM_LIB}/liblarsim_MCSTReco.dylib )
      set( LARSIM_MCSTRECO_MCRECO_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCSTReco_MCReco_module.dylib )
      set( LARSIM_MCSTRECO_TOYONESHOWERGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCSTReco_ToyOneShowerGen_module.dylib )
      set( LARSIM_MCCHEATER_BACKTRACKER_SERVICE  $ENV{LARSIM_LIB}/liblarsim_MCCheater_BackTracker_service.dylib )
      set( LARSIM_MCCHEATER_BACKTRACKERLOADER_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCCheater_BackTrackerLoader_module.dylib )
      set( LARSIM_MCCHEATER_CHECKBACKTRACKING_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCCheater_CheckBackTracking_module.dylib )
      set( LARSIM_MCCHEATER_RECOCHECKANA_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCCheater_RecoCheckAna_module.dylib )
      set( LARSIM_LARG4  $ENV{LARSIM_LIB}/liblarsim_LArG4.dylib )
      set( LARSIM_LARG4_LARG4_MODULE  $ENV{LARSIM_LIB}/liblarsim_LArG4_LArG4_module.dylib )
      set( LARSIM_LARG4_LARG4ANA_MODULE  $ENV{LARSIM_LIB}/liblarsim_LArG4_LArG4Ana_module.dylib )
      set( LARSIM_LARG4_LARSIMCHANNELANA_MODULE  $ENV{LARSIM_LIB}/liblarsim_LArG4_LArSimChannelAna_module.dylib )
      set( LARSIM_LARG4_MERGESIMSOURCES_MODULE  $ENV{LARSIM_LIB}/liblarsim_LArG4_MergeSimSources_module.dylib )
      set( LARSIM_EVENTGENERATOR  $ENV{LARSIM_LIB}/liblarsim_EventGenerator.dylib )
      set( LARSIM_EVENTGENERATOR_FILEMUONS_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_FileMuons_module.dylib )
      set( LARSIM_EVENTGENERATOR_LIGHTSOURCE_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_LightSource_module.dylib )
      set( LARSIM_EVENTGENERATOR_NDKGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_NDKGen_module.dylib )
      set( LARSIM_EVENTGENERATOR_NUANCEGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_NUANCEGen_module.dylib )
      set( LARSIM_EVENTGENERATOR_RADIOGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_RadioGen_module.dylib )
      set( LARSIM_EVENTGENERATOR_SINGLEGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_SingleGen_module.dylib )
      set( LARSIM_EVENTGENERATOR_SNNUEAR40CCGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_SNNueAr40CCGen_module.dylib )
      set( LARSIM_EVENTGENERATOR_TEXTFILEGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_TextFileGen_module.dylib )
      set( LARSIM_EVENTGENERATOR_GENERATEDEVENTTIMESTAMP_PLUGIN  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_GeneratedEventTimestamp_plugin.dylib )
      set( LARSIM_EVENTGENERATOR_CRY_COSMICSGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_CRY_CosmicsGen_module.dylib )
      set( LARSIM_EVENTGENERATOR_GENIE_GENIEGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_GENIE_GENIEGen_module.dylib )
      set( LARSIM_EVENTGENERATOR_MUONPROPAGATION_GAISSERPARAM_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_MuonPropagation_GaisserParam_module.dylib )
      set( LARSIM_EVENTGENERATOR_MUONPROPAGATION_MUSUN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_MuonPropagation_MUSUN_module.dylib )
      set( LARSIM_EVENTGENERATOR_CORSIKA_CORSIKAGEN_MODULE  $ENV{LARSIM_LIB}/liblarsim_EventGenerator_CORSIKA_CORSIKAGen_module.dylib )
      set( LARSIM_DETSIM_SIMWIREANA_MODULE  $ENV{LARSIM_LIB}/liblarsim_DetSim_SimWireAna_module.dylib )
      set( LARSIM_DETSIM_SIMWIRE_MODULE  $ENV{LARSIM_LIB}/liblarsim_DetSim_SimWire_module.dylib )
      set( LARSIM_DETSIM_SIMWIRET962_MODULE  $ENV{LARSIM_LIB}/liblarsim_DetSim_SimWireT962_module.dylib )
      set( LARSIM_DETSIM_WIENERFILTERANA_MODULE  $ENV{LARSIM_LIB}/liblarsim_DetSim_WienerFilterAna_module.dylib )
      set( LARSIM_DETSIM_DUMPRAWDIGITS_MODULE  $ENV{LARSIM_LIB}/liblarsim_DetSim_DumpRawDigits_module.dylib )
      set( LARSIM_MCDUMPERS_DUMPMCPARTICLES_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpMCParticles_module.dylib )
      set( LARSIM_MCDUMPERS_DUMPMCSHOWERS_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpMCShowers_module.dylib )
      set( LARSIM_MCDUMPERS_DUMPMCTRACKS_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpMCTracks_module.dylib )
      set( LARSIM_MCDUMPERS_DUMPSIMCHANNELS_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpSimChannels_module.dylib )
      set( LARSIM_MCDUMPERS_DUMPSIMPHOTONS_MODULE  $ENV{LARSIM_LIB}/liblarsim_MCDumpers_DumpSimPhotons_module.dylib )
      set( LARSIM_RANDOMUTILS_LARSEEDSERVICE_SERVICE  $ENV{LARSIM_LIB}/liblarsim_RandomUtils_LArSeedService_service.dylib )
      set( LARSIM_TEST_RANDOMUTILS  $ENV{LARSIM_LIB}/liblarsim_test_RandomUtils.dylib )
      set( LARSIM_TEST_RANDOMUTILS_RANDOMMANAGERTEST_MODULE  $ENV{LARSIM_LIB}/liblarsim_test_RandomUtils_RandomManagerTest_module.dylib )
      set( LARSIM_TEST_RANDOMUTILS_SEEDTESTPOLICY_MODULE  $ENV{LARSIM_LIB}/liblarsim_test_RandomUtils_SeedTestPolicy_module.dylib )
      set( LARSIM_TEST_RANDOMUTILS_SEEDTESTQUERYSEEDS_MODULE  $ENV{LARSIM_LIB}/liblarsim_test_RandomUtils_SeedTestQuerySeeds_module.dylib )
      set( LARSIM_TEST_RANDOMUTILS_SEEDTESTREGISTERONPROCESSEVENT_MODULE  $ENV{LARSIM_LIB}/liblarsim_test_RandomUtils_SeedTestRegisterOnProcessEvent_module.dylib )
      set( LARSIM_TEST_RANDOMUTILS_SEEDTESTREGISTERONRUN_MODULE  $ENV{LARSIM_LIB}/liblarsim_test_RandomUtils_SeedTestRegisterOnRun_module.dylib )
      set( LARSIM_TEST_RANDOMUTILS_SEEDTESTREGISTERONSUBRUN_MODULE  $ENV{LARSIM_LIB}/liblarsim_test_RandomUtils_SeedTestRegisterOnSubRun_module.dylib )
      include_directories ( $ENV{LARSIM_INC} )

check_required_components(larsim)

